import Color from "../../system/Color";
import { StiHorizontalAlignment, StiThousandSeparator } from "../../system/enums";
import { Font } from "../../system/Font";
import { StiEditableContent, StiFormattedElement, StiValueElement } from "../../system/interfaces";
import StiJson from "../../system/StiJson";
import StiFormObject from "../base/StiFormObject";
import { StiForm } from "../StiForm";
import { StiTableElement } from "../StiTableElement";
export declare class StiTotalsFieldItem extends StiFormObject implements StiEditableContent, StiValueElement, StiFormattedElement {
    private _decimalDigits;
    eParent?: StiTableElement;
    prefix: string;
    suffix: string;
    thousandSeparator: StiThousandSeparator;
    _value: any;
    name: string;
    form: StiForm;
    headerAlignment: StiHorizontalAlignment;
    headerColor: Color;
    valueAlignment: StiHorizontalAlignment;
    header: string;
    expression: string;
    setDefaultValues(): void;
    get value(): any;
    set value(value: any);
    get decimalDigits(): number;
    set decimalDigits(value: number);
    get eValue(): string;
    set eValue(value: string);
    get eFont(): Font;
    set eFont(value: Font);
    get eColor(): Color;
    set eColor(value: Color);
    eBackgroundColor: Color;
    constructor(header: string, expression: string, form?: StiForm);
    haveBackgoundColor(): boolean;
    get eContentAlignment(): StiHorizontalAlignment;
    set eContentAlignment(value: StiHorizontalAlignment);
    haveContentAlignment(): boolean;
    haveVerticalAlignment(): boolean;
    htmlStyle(): string;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
